View Issue Details

IDProjectCategoryLast Update
0019477AI War 2[All Projects] Graphical BugJun 29, 2018 10:26 am
ReporterBadgerBadgerAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.711 
Fixed in Version0.746 Disposing of the Invisible Man 
Summary0019477: Rally menu gets confused about Group IDs
DescriptionI have a couple Groups in this game. group 1 was originally my Ark, but I changed it to make the Ark 2 (by clicking my ark and hitting Ctl-2 and then clicking everything else and hitting Ctl-1). I've since added a few others. But when I go to the Rally menu to direct the Ark to send reinforcements to another group it looks really weird. It looks like the names aren't updating at all. F1 still seems to show the Ark name instead of the Botnet Golem (which it should be).
TagsNo tags attached.
Internal Weight

Relationships

related to 0019647 resolvedBadgerBadger Rallying to control group with strongest ship in motion should go to destination. 

Activities

BadgerBadger

Mar 12, 2018 9:14 pm

manager  

confusedGroups.png (1,933,476 bytes)
ConfusedGroups.save (1,864,729 bytes)
ConfusedGroups.savemet (46 bytes)

Dune

Mar 13, 2018 10:36 am

administrator   ~0047137

Created Trello card.

x4000Bughunter

Jun 28, 2018 7:02 pm

administrator   ~0047607

Badger, how much of this still applies post-pivot and with the recent updates you made to implement the rally points?

BadgerBadger

Jun 29, 2018 12:15 am

manager   ~0047620

We don't have a rally menu that shows a group ID anymore ;-), so this is no longer an issue. What I did was to write all new code to create rally-to-point code. I just reused Keith's old Rally-To-Group code wholesale, which has an intriguing bug in it now, post pivot.

Rally-To-Group works by picking the strongest unit in the group and then rallying units to the strongest unit's WorldLocation. This worked fine when your groups were centered around flagships, which were stronger than any unit you might build. Unfortunately, in the post-pivot world, if you have a group of all fleetships but have a starship constructor that's rallying to that group, any starship that's built will immediately be the strongest unit in the group, so it will try to rally to its own location (and thus not go anywhere). Keith or I needs to provide a workaround eventually.

x4000Bughunter

Jun 29, 2018 10:26 am

administrator   ~0047622

Awesome, thanks! That makes perfect sense.

Just checked in:

* Fixed an issue where newly-created ships that were rallying into a control group could rally to themselves if they were suddenly the strongest ship in the control group.

But then added: 0019647

BADGER_TODO or KEITH_TODO: If the target entity that we are rallying to already has movement orders, then we should rally to its eventual destination, not its current one. This applies in particular to ships that would be rallying to something that was newly-created.

Issue History

Date Modified Username Field Change
Mar 12, 2018 9:14 pm BadgerBadger New Issue
Mar 12, 2018 9:14 pm BadgerBadger File Added: ConfusedGroups.savemet
Mar 12, 2018 9:14 pm BadgerBadger File Added: ConfusedGroups.save
Mar 12, 2018 9:14 pm BadgerBadger File Added: confusedGroups.png
Mar 13, 2018 10:36 am Dune Assigned To => keith.lamothe
Mar 13, 2018 10:36 am Dune Status new => assigned
Mar 13, 2018 10:36 am Dune Note Added: 0047137
Mar 23, 2018 9:03 am x4000Bughunter Assigned To keith.lamothe => x4000Bughunter
Jun 28, 2018 7:02 pm x4000Bughunter Note Added: 0047607
Jun 28, 2018 7:02 pm x4000Bughunter Assigned To x4000Bughunter => BadgerBadger
Jun 28, 2018 7:02 pm x4000Bughunter Status assigned => feedback
Jun 29, 2018 12:15 am BadgerBadger Note Added: 0047620
Jun 29, 2018 10:26 am x4000Bughunter Status feedback => resolved
Jun 29, 2018 10:26 am x4000Bughunter Resolution open => fixed
Jun 29, 2018 10:26 am x4000Bughunter Fixed in Version => 0.746 Disposing of the Invisible Man
Jun 29, 2018 10:26 am x4000Bughunter Note Added: 0047622
Jun 29, 2018 10:26 am x4000Bughunter Relationship added related to 0019647